#include <stdio.h>
#include <stdlib.h>



int main(int argc, char *argv[]) 
{
	long v,p,vmin[100000],vmax[100000],pmin[100000],pmax[100000],kg[100000],i,j,c,br=0;
	scanf("%ld%ld", &v,&p);
	for(i=1;i<=v;i++)
	{
		scanf("%ld%ld", &vmin[i],&vmax[i]);
	}
	for(i=1;i<=p;i++)
	{
		scanf("%ld%ld%ld", &pmin[i],&pmax[i],&kg[i]);
	}
	
	for(i=1;i<=p;i++)
	{
		for(j=pmin[i];j<=pmax[i];j++)
		{
			for(c=vmin[j];c<=vmax[j];c++)
			{
				if(kg[i]==c)
				{
					br=br+1;
				}
				
			}
		}
		if(br>0)
		{
			printf("%ld\n",br);
			br=0;
		}
		else
		{
			printf("0\n");
		}
	}
	return 0;
}